Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRCsvExporterParameter

    java.lang.Object
      net.sf.jasperreports.engine.JRExporterParameter
          net.sf.jasperreports.engine.export.JRCsvExporterParameter

    public class JRCsvExporterParameter

extends JRExporterParameter

Contains parameters useful for export in CSV format.

The CSV exporter can send data to a string buffer, output stream, character stream or file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STRING_BUFFER, OUTPUT_WRITER, OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

Version:
  $Id: JRCsvExporterParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static JRCsvExporterParameter` | `FIELD_DELIMITER` A string representing the character or sequence of characters used to delimit two fields on the same line.
`static java.lang.String` | `PROPERTY_FIELD_DELIMITER` Property whose value is used as default for the `FIELD_DELIMITER` export parameter.
`static java.lang.String` | `PROPERTY_RECORD_DELIMITER` Property whose value is used as default for the `RECORD_DELIMITER` export parameter.
`static JRCsvExporterParameter` | `RECORD_DELIMITER` A string representing the character or sequence of characters used to delimit two lines.

Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter
`CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, FONT_MAP, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

Constructor Summary
`protected` | `JRCsvExporterParameter(java.lang.String name)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIELD_DELIMITER

    public static final JRCsvExporterParameter FIELD_DELIMITER

  A string representing the character or sequence of characters used to delimit two fields on the same line. The default value is a comma.

### PROPERTY_FIELD_DELIMITER

    public static final java.lang.String PROPERTY_FIELD_DELIMITER

  Property whose value is used as default for the `FIELD_DELIMITER` export parameter.

  See Also:
    `JRProperties`, Constant Field Values

### RECORD_DELIMITER

    public static final JRCsvExporterParameter RECORD_DELIMITER

  A string representing the character or sequence of characters used to delimit two lines. The default value is a character return (\n).

### PROPERTY_RECORD_DELIMITER

    public static final java.lang.String PROPERTY_RECORD_DELIMITER

  Property whose value is used as default for the `RECORD_DELIMITER` export parameter.

  See Also:
    `JRProperties`, Constant Field Values

Constructor Detail

### JRCsvExporterParameter

    protected JRCsvExporterParameter(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com